Bug 1010302 - Please introduce python3-iniparse package
Please introduce python3-iniparse package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 09:19 EDT by Bohuslav "Slavek" Kabrda
Modified: 2013-10-14 16:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 13:53:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Introduce python3 compat patch and python3- subpackage (20.12 KB, patch)
2013-09-20 09:19 EDT, Bohuslav "Slavek" Kabrda
no flags Details | Diff
Dist-git python3-compat commit (20.60 KB, patch)
2013-09-23 02:52 EDT, Bohuslav "Slavek" Kabrda
no flags Details | Diff
Fixed dist-git python3-compat commit (21.08 KB, patch)
2013-09-24 04:38 EDT, Bohuslav "Slavek" Kabrda
no flags Details | Diff

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-09-20 09:19:59 EDT
Created attachment 800506 [details]
Introduce python3 compat patch and python3- subpackage

Hi,
I'm attaching a patch that includes introducing python3-iniparse subpackage, as well as a python 3 compatibility patch for the library itself. Would you please consider accepting it?
Thanks!
Comment 1 Tim Lauridsen 2013-09-21 13:16:58 EDT
Looks fine, but I have some problems adding the patch

fedpkg clone python-iniparse
cd python-iniparse
git apply /path/to/patch.txt

error: patch failed: python-iniparse.spec:1
error: python-iniparse.spec: patch does not apply

I am no git patch jedi master, so what do i do wrong
Comment 2 Tim Lauridsen 2013-09-22 04:19:19 EDT
commit your changes to a local copy of master and do a git format-patch -1 to get a patch to be applied with git apply.
Comment 3 Bohuslav "Slavek" Kabrda 2013-09-23 02:52:43 EDT
Created attachment 801497 [details]
Dist-git python3-compat commit

Ok, here's the commit, hope it works now.
Comment 4 Tim Lauridsen 2013-09-24 04:01:12 EDT
some things is broken in the patch

checkout upstream:
$ git svn clone https://iniparse.googlecode.com/svn/trunk/ iniparse
$ cd iniparse
download the patch from here:
$ https://code.google.com/p/iniparse/issues/detail?id=22#c13

Apply the patch
$ patch -p0 < iniparse-python-3-with-six.patch

Run Tests

$./runtests.py

$ ./runtests.py 
Traceback (most recent call last):
  File "./runtests.py", line 4, in <module>
    import tests
  File "/home/tim/udv/work/iniparse/tests/__init__.py", line 3, in <module>
    from . import test_ini
  File "/home/tim/udv/work/iniparse/tests/test_ini.py", line 4, in <module>
    from iniparse import ini
  File "/home/tim/udv/work/iniparse/iniparse/__init__.py", line 6, in <module>
    from .ini import INIConfig, change_comment_syntax
  File "/home/tim/udv/work/iniparse/iniparse/ini.py", line 45, in <module>
    from .configparser import DEFAULTSECT, ParsingError, MissingSectionHeaderError
ImportError: No module named configparser
Comment 5 Bohuslav "Slavek" Kabrda 2013-09-24 04:38:58 EDT
Created attachment 802097 [details]
Fixed dist-git python3-compat commit

<sigh> Sorry about that. I created that configparser as a new file and of course forgot to "svn add" it before running "svn diff", so it wasn't part of the patch. I fixed that, hope everything finally works.
Comment 6 Tim Lauridsen 2013-10-02 13:53:34 EDT
Look good, test patch against upstream checkout and now all tests are ok in both python2 & 3.

I have pushed it and build it for rawhide

http://koji.fedoraproject.org/koji/taskinfo?taskID=6016981
Comment 7 Honza Silhan 2013-10-11 08:30:22 EDT
Hi, we need this package in F20 for dnf. Is it possible?
Comment 8 Tim Lauridsen 2013-10-11 08:55:33 EDT
Yes, I will make a build a little later today :)
Comment 9 Tim Lauridsen 2013-10-11 12:15:09 EDT
Build for F20 and bodhi request created

https://admin.fedoraproject.org/updates/python-iniparse-0.4-9.fc20
Comment 10 Honza Silhan 2013-10-14 16:58:34 EDT
Thanks, Tim.

Note You need to log in before you can comment on or make changes to this bug.